Bug 130307 - direct_csum_partial_copy_generic should always be exported
Summary: direct_csum_partial_copy_generic should always be exported
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-08-18 22:01 UTC by H.J. Lu
Modified: 2015-01-04 22:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-27 22:19:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch to export direct_csum_partial_copy_generic (547 bytes, patch)
2004-08-18 22:03 UTC, H.J. Lu
no flags Details | Diff

Description H.J. Lu 2004-08-18 22:01:54 UTC
direct_csum_partial_copy_generic is used by some network drivers
regardless if CONFIG_X86_UACCESS_INDIRECT is defined or not.

Comment 1 H.J. Lu 2004-08-18 22:03:10 UTC
Created attachment 102861 [details]
A patch to export direct_csum_partial_copy_generic

Comment 2 Arjan van de Ven 2004-08-19 06:07:09 UTC
which ones?
they might just be buggy...

Comment 3 H.J. Lu 2004-08-19 15:09:18 UTC
[hjl@gnu kernel-2.6.8]$ find linux-2.6.8/drivers -name *.c | xargs
grep csum_partial_copy
linux-2.6.8/drivers/net/tokenring/ibmtr.c: *    + implemented
csum_partial_copy in tr_rx and increased receive
linux-2.6.8/drivers/net/tokenring/ibmtr.c:                     
chksum=csum_partial_copy_nocheck((void*)rbufdata,
linux-2.6.8/drivers/net/typhoon.c:                      csum =
csum_partial_copy_nocheck(image_data, dpage,

csum_partial_copy_nocheck may be inlined to
direct_csum_partial_copy_generic.


Comment 4 Dave Jones 2004-11-27 22:19:40 UTC
fixed in 2.6.9 based update.



Note You need to log in before you can comment on or make changes to this bug.